<?php

namespace Comitium5\DesignerBundle\Model\Traits\View;

use Comitium5\DesignerBundle\Model\Interfaces\View\ViewInterface;

/**
 * Trait ViewRelationTrait
 *
 * @author Carles Gómez <carles@bab-soft.com>
 * @package Comitium5\DesignerBundle\Model\Traits\View
 */
trait ViewRelationTrait
{
    /**
     * @var ViewInterface
     */
    private $view;

    /**
     * @return ViewInterface
     */
    public function getView()
    {
        return $this->view;
    }

    /**
     * @param ViewInterface $view
     *
     * @return $this
     */
    public function setView(ViewInterface $view)
    {
        $this->view = $view;

        return $this;
    }
}
